Bug 576660 - RFE: add PrinterDriversInstaller D-Bus system service
RFE: add PrinterDriversInstaller D-Bus system service
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdeutils (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Kofler
Fedora Extras Quality Assurance
: FutureFeature, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-24 14:20 EDT by Tim Waugh
Modified: 2010-03-27 01:03 EDT (History)
7 users (show)

See Also:
Fixed In Version: kdeutils-4.4.1-2.fc13
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-27 01:03:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
kdeutils-InstallPrinterDrivers.patch (4.53 KB, patch)
2010-03-24 14:20 EDT, Tim Waugh
no flags Details | Diff

  None (edit)
Description Tim Waugh 2010-03-24 14:20:42 EDT
Created attachment 402387 [details]
kdeutils-InstallPrinterDrivers.patch

Description of problem:
This patch adds the com.redhat.PrinterDriversInstaller D-Bus system service for automatic printer driver installation.  Currently it just does this using a copy of the installdriver.py module from system-config-printer, and requires system-config-printer-libs to be functional (that's where the D-Bus configuration file lives).

I have a note upstream to make this a bit more "consumable" for external projects:
  https://fedorahosted.org/system-config-printer/ticket/203
..however, fixing that is some way off realistically.

Version-Release number of selected component (if applicable):
kdeutils-4.4.1-1.fc13
Comment 1 Kevin Kofler 2010-03-24 14:38:46 EDT
I'll take this one too.
Comment 2 Kevin Kofler 2010-03-24 15:17:01 EDT
Now building for F-13. Also committed to Rawhide, but the build there is failing for unrelated reasons (trouble with Qt 4.7 TP's MOC).
Comment 3 Fedora Update System 2010-03-24 15:34:48 EDT
kdeutils-4.4.1-2.fc13,kpackagekit-0.6.0-0.9.20100301svn.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kdeutils-4.4.1-2.fc13,kpackagekit-0.6.0-0.9.20100301svn.fc13
Comment 4 Fedora Update System 2010-03-25 18:32:34 EDT
kdeutils-4.4.1-2.fc13, kpackagekit-0.6.0-0.9.20100301svn.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdeutils kpackagekit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kdeutils-4.4.1-2.fc13,kpackagekit-0.6.0-0.9.20100301svn.fc13
Comment 5 Fedora Update System 2010-03-27 01:03:07 EDT
kdeutils-4.4.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.